Name: beaker-jobwatch
Version: 8.0.0
Release: 1.20250520154344006290.pr1%{?dist}
Summary: Non-interactive CLI login for OpenShift via OIDC/Kerberos

License: GPL-2.0-or-later
URL: https://gitlab.com/redhat/centos-stream/tests/kernel/beaker-jobwatch

Source0: beaker-jobwatch-8.0.0.tar.gz

BuildArch: noarch
BuildRequires: python3-devel

%description
Automatically reschedules broken Beaker jobs

%prep
%autosetup -n beaker-jobwatch-8.0.0

%generate_buildrequires
%pyproject_buildrequires -e spec

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files beaker_jobwatch

%check
%tox

%files  -f %{pyproject_files}
%license LICENSE
%doc README.md LICENSE
%{_bindir}/beaker-jobwatch

%changelog
%autochangelog
